
Redmine - Defect #27242

issue creation failed if email notification fail

2017-10-20 22:07 - Slim BENHAMMOUDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.3

Description

Hello,

I have a redmine instance installed on a vps:

redmine 3.3.3

mySQL

Apache+passenger

I created an issue, assigned it to a developer and saved the issue. the page keep loading and I finally received an internal error.

I checked the redmine log file (production.log) and I found that there is an issue with mail notification. In fact, my email server was

down during my issue creation, so redmine failed to send the email and a rollback occurred on my issue creation!!!

Isn't this a strange behaviour, why issue creation should fail if notification email fails. For me, notification should be a separate

module from issue tracking module!!!

What do you think?

Cheers,

Slim

Related issues:

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

History

#1 - 2017-10-21 09:19 - Go MAEDA

Probably you can avoid the problem by switching delivery_method to async_*. Please see EmailConfiguration for the details.

#2 - 2017-10-21 09:26 - Go MAEDA

- Related to Feature #26791: Send individual notification mails per mail recipient added

#3 - 2017-10-21 09:26 - Go MAEDA

And it will be fixed if #26791 is implemented because emails will always be sent in background.

#4 - 2017-10-21 11:53 - Slim BENHAMMOUDA

- Status changed from New to Resolved

Many thanks,

I'm changing the issue status to resolved.

Cheers,

Slim

#5 - 2017-10-29 05:03 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for the feedback. Closing.

#6 - 2017-11-05 18:05 - Toshi MARUYAMA

- Description updated
https://www.redmine.org/projects/redmine/wiki/EmailConfiguration#Asynchronous-delivery_methods
https://www.redmine.org/issues/26791
